"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }


var _chunkTJP5RDJEcjs = require('./chunk-TJP5RDJE.cjs');


var _chunkL646RZQBcjs = require('./chunk-L646RZQB.cjs');


var _chunkNTCZ6VPJcjs = require('./chunk-NTCZ6VPJ.cjs');

// src/common/log/log-memory.ts
function logMessageFromCompact(m) {
  const [timestamp, level, name, ...messages] = m;
  return { timestamp, level, name, messages };
}
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, compact = false, messages = [], errorTrace = false, maxDepth = 20 } = opt;
  const matchesNamespace = _chunkTJP5RDJEcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkTJP5RDJEcjs.useLevelFilter.call(void 0, level);
  let counter = _nullishCoalesce(opt.limit, () => ( Number.POSITIVE_INFINITY));
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    _nullishCoalesce(msg.timestamp, () => ( (msg.timestamp = _chunkL646RZQBcjs.getTimestamp.call(void 0, ))));
    const m = _chunkNTCZ6VPJcjs.objectPlain.call(void 0, msg, { maxDepth, errorTrace });
    if (compact === true)
      messages.push([m.timestamp, m.level, m.name, ...m.messages]);
    else
      messages.push(m);
    if (counter <= 0)
      messages.shift();
    else
      --counter;
  };
}




exports.logMessageFromCompact = logMessageFromCompact; exports.LoggerMemoryHandler = LoggerMemoryHandler;
//# sourceMappingURL=chunk-ON3N7H7T.cjs.map