"use strict"; function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunk3EDAYL42cjs = require('../../chunk-3EDAYL42.cjs');


var _chunkZO3HNLXYcjs = require('../../chunk-ZO3HNLXY.cjs');


var _chunkXONRCJCBcjs = require('../../chunk-XONRCJCB.cjs');
require('../../chunk-4E3SFF2S.cjs');
require('../../chunk-J2UQ7CEL.cjs');
require('../../chunk-BQ6MKKYS.cjs');
require('../../chunk-6LTOCALJ.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-ON3N7H7T.cjs');
require('../../chunk-XC7SHABV.cjs');
require('../../chunk-ABEJKCAO.cjs');
require('../../chunk-6TCZFTKD.cjs');



var _chunkU7QCFBCQcjs = require('../../chunk-U7QCFBCQ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TJP5RDJE.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-XV5FJ2SJ.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-SNRM7OTJ.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-NTCZ6VPJ.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-JQSCYOKH.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-EE5CB3R7.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-37LFQPGN.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');

// src/common/msg/messages.spec.ts
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return _nullishCoalesce(args[0], () => ( 0));
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await _chunkU7QCFBCQcjs.deriveKeyPbkdf2.call(void 0, _chunkU7QCFBCQcjs.randomUint8Array.call(void 0, 20));
    const encoder = new (0, _chunkZO3HNLXYcjs.CryptoEncoder)(key);
    const [clientChannel, serverChannel] = _chunkXONRCJCBcjs.createLocalChannelPair.call(void 0, );
    const serverHub = _chunk3EDAYL42cjs.useMessageHub.call(void 0, { channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = _chunk3EDAYL42cjs.useMessageHub.call(void 0, { channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.cjs.map