"use strict";

var _chunkKVEYBX6Dcjs = require('../../chunk-KVEYBX6D.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-ON3N7H7T.cjs');



var _chunkXC7SHABVcjs = require('../../chunk-XC7SHABV.cjs');
require('../../chunk-ABEJKCAO.cjs');
require('../../chunk-6TCZFTKD.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TJP5RDJE.cjs');


var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-XV5FJ2SJ.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-SNRM7OTJ.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-NTCZ6VPJ.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-JQSCYOKH.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-EE5CB3R7.cjs');


var _chunkQYCE2TUJcjs = require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-37LFQPGN.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunkXC7SHABVcjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunkKVEYBX6Dcjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkJ42M6DF3cjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunkXC7SHABVcjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkQYCE2TUJcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map